How to choose python version when deploying app


#1

So far opscaptain seems like a cool alternative to Heroku although not very well documented so I thought I start posting some of the tips that made things work for me.

In order to set which python version used and which python packages that should be installed include the usual requirements.txt (pip freeze > requirements.txt) and add a runtime.txt file specifying the python version (for instance: python-3.5.4).

For details see: https://docs.cloudfoundry.org/buildpacks/python/index.html